Skip to main content

GET /api/defi/protocols

List DeFi protocols

List all DeFi protocols with TVL

Endpoint​

GET https://api.web3identity.com/api/defi/protocols

Parameters​

NameInTypeRequiredDescription
categoryquerystring❌Filter by category (lending, dex, bridge)
chainquerystring❌Filter by chain

Example Request​

curl -s "https://api.web3identity.com/api/defi/protocols" | jq

Responses​

200 Success​

{
"protocols": [
{
"name": "Aave",
"slug": "aave",
"tvl": 27800000000,
"change24h": 2.5,
"chains": [
"ethereum",
"polygon",
"arbitrum"
]
},
{
"name": "Uniswap",
"slug": "uniswap",
"tvl": 18900000000,
"change24h": -1.2,
"chains": [
"ethereum",
"arbitrum",
"optimism"
]
},
{
"name": "Lido",
"slug": "lido",
"tvl": 34200000000,
"change24h": 3.1,
"chains": [
"ethereum"
]
}
]
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required​

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec